
Redmine - Defect #17625

Wrong week number in JQuery datepicker if start of week day is Sunday

2014-08-07 12:31 - Mario Scondo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.5.2

Description

Calendar shows incorrect week number.

In the screenshot the date 2014-08-07 is part of week number 31. Correct would be 32.

Screenshot:

 screenshot.5.jpeg 

Details regarding my installation of Redmine:

Environment:

  Redmine version                2.5.2.stable.13335

  Ruby version                   2.1.0-p0 (2013-12-25) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.19

  Mercurial                      1.7.5

  Cvs                            1.12.12

  Bazaar                         2.0.5

  Git                            1.7.3.4

  Filesystem                     

Redmine plugins:

  due_date_reminder              0.4

  redmine_wiki_extensions        0.6.0

  redmine_work_time              0.2.6

  sidebar                        0.1.0

  wiking                         1.0.0b

Related issues:

Related to Redmine - Defect #4857: Week number calculation in date picker is ... Closed 2010-01-17

Has duplicate Redmine - Defect #20707: Wrong week number Closed

History

#1 - 2014-08-07 12:31 - Mario Scondo

- Copied from Defect #3271: Wrong week number in Calendar added

#2 - 2014-08-07 12:46 - Toshi MARUYAMA

- Start date deleted (2009-04-30)

#3 - 2014-08-07 12:53 - Toshi MARUYAMA

- Subject changed from Wrong week number in Calendar to Wrong week number in JQuery datepicker

#4 - 2014-08-07 13:31 - Toshi MARUYAMA

- Subject changed from Wrong week number in JQuery datepicker to Wrong week number in JQuery datepicker if start of week day is Sunday

- Status changed from New to Confirmed
#5 - 2014-08-07 13:31 - Toshi MARUYAMA

- Category set to UI

#6 - 2014-08-07 13:36 - Toshi MARUYAMA

- File jquery.html added

Confirmed.

OK: start of week day is Monday

NG: start of week day is Sunday

It seems JQuery datepicker bug.

#7 - 2014-08-07 13:45 - Toshi MARUYAMA

datepicker weeknummers and firstDay

http://bugs.jqueryui.com/ticket/8766

#8 - 2014-08-07 14:16 - Toshi MARUYAMA

- Related to Defect #4857: Week number calculation in date picker is wrong if a week starts with Sunday added

#9 - 2014-08-07 14:16 - Toshi MARUYAMA

- Copied from deleted (Defect #3271: Wrong week number in Calendar)

#10 - 2015-09-10 09:05 - Toshi MARUYAMA

- Has duplicate Defect #20707: Wrong week number added

#11 - 2016-01-13 23:39 - Diogo Soares

Edit application.css

@import url(bugfix.css);

 Add bugfix.css

datepicker-year {

    width: 47% !important;

}

datepicker-month {

    width: 47% !important;

}

th.ui-datepicker-week-col {

    display: none;

}

td.ui-datepicker-week-col {

    display: none;

}

select.ui-datepicker-month {

    float: left;

}

#12 - 2019-05-05 13:47 - Marius BĂLTEANU

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

https://bugs.jqueryui.com/ticket/8766 was closed with "Resolution: → wontfix" .

Files

screenshot.5.jpeg 70 KB 2014-08-07 Mario Scondo

jquery.html 948 Bytes 2014-08-07 Toshi MARUYAMA
